/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef _GLITZ_HELPER_H
#define _GLITZ_HELPER_H

#include <gdk/gdk.h>
#include <cairo.h>
#include <glitz.h>

void kiba_glitz_get_colormap (glitz_drawable_format_t **pGlitzDrawFormat,
			      GdkVisual               **visual,
			      GdkColormap             **colormap);

void kiba_glitz_create_drawable (Window                    window,
				 int                       iWidth,
				 int                       iHeight,
				 glitz_drawable_format_t  *pGlitzDrawFormat,
				 glitz_format_t          **pGlitzFormat,
				 glitz_drawable_t        **pGlitzDrawable);

cairo_t* kiba_glitz_get_cairo_context (glitz_drawable_t        *pGlitzDrawable,
				       glitz_drawable_format_t *pGlitzDrawFormat,
				       glitz_format_t          *pGlitzFormat,
				       int                      iWidth,
				       int                      iHeight);

int kiba_glitz_draw_func (glitz_drawable_t        *pGlitzDrawable,
			  glitz_drawable_format_t *pGlitzDrawFormat);

void kiba_glitz_resize_func (glitz_drawable_t *pGlitzDrawable,
			     int               iWidth,
			     int               iHeight);

void kiba_glitz_fini (glitz_drawable_t *pGlitzDrawable);

#endif /* _GLITZ_HELPER_H */
